Dualtree Complex {waveslim} | R Documentation

## Dual-tree Complex 2D Discrete Wavelet Transform

### Description

Dual-tree complex 2D discrete wavelet transform (DWT).

### Usage

    cplxdual2D(x, J, Faf, af)
    icplxdual2D(w, J, Fsf, sf)

### Arguments

`x` | 2D array.
`w` | wavelet coefficients.
`J` | number of stages.
`Faf` | first stage analysis filters for tree i.
`af` | analysis filters for the remaining stages on tree i.
`Fsf` | last stage synthesis filters for tree i.
`sf` | synthesis filters for the preceeding stages.

### Value

For the analysis of `x`, the output is

`w` | wavelet coefficients indexed by `[[j]][[i]][[d1]][[d2]]`, where j=1,…,J (scale), i=1 (real part) or i=2 (imag part), d1=1,2 and d2=1,2,3 (orientations).

For the synthesis of `w`, the output is

`y` | output signal.

### Author(s)

Matlab: S. Cai, K. Li and I. Selesnick; R port: B. Whitcher

### References

WAVELET SOFTWARE AT POLYTECHNIC UNIVERSITY, BROOKLYN, NY
http://taco.poly.edu/WaveletSoftware/

### See Also

`FSfarras`, `farras`, `afb2D`, `sfb2D`.

### Examples

    ## Not run:
    ## EXAMPLE: cplxdual2D
    x = matrix(rnorm(32*32), 32, 32)
    J = 5
    Faf = FSfarras()$af
    Fsf = FSfarras()$sf
    af = dualfilt1()$af
    sf = dualfilt1()$sf
    w = cplxdual2D(x, J, Faf, af)
    y = icplxdual2D(w, J, Fsf, sf)
    err = x - y
    max(abs(err))

    ## End(Not run)

[Package waveslim version 1.7.5.1 Index]